/* --- Copyright University of Birmingham 1996. All rights reserved. ------
 > File:            $poplocal/local/newprb/include/IFTRACING.p
 > Purpose:         Control tracing instructions at compile time
 > Author:          Aaron Sloman, Apr 28 1996
 > Documentation:
 > Related Files:
 */

;;; uses prb_tracing_on, defined in lib poprulebase

define lconstant macro IFTRACING;
	;;; if prb_tracing_on is false, ignore the next expression
	;;; up to the semicolon
	unless prb_tracing_on then
		lvars item;
		repeat
			readitem() -> item;
			quitif(item == ";")
		endrepeat;
	endunless;
enddefine;
